<h1 align="center">Liste des formateurs</h1>
<div class="table">
<div class="card overflow-auto -mt-16">
    <div class="bg-app-bar px-6 h-16 border-b sticky left-0" fxLayout="row" fxLayoutAlign="start center">
          <ic-icon [icIcon]="icSearch" size="20px"></ic-icon>
  
                 
                 <input matInput (keyup)="applyFilter($event)" placeholder="Search ..." #input class="px-4 py-3 border-0 outline-none w-full bg-transparent">

                 <span fxFlex></span>

        <button class="ml-4" fxFlex="none" fxHide.gt-xs mat-icon-button type="button">
          <mat-icon [icIcon]="icSearch"></mat-icon>
        </button>
        <button 
        class="ml-4"
        color="primary"
        fxFlex="none"
        mat-mini-fab
        (click)="CreateFormateur()"
        type="button">
        <mat-icon>add_circle</mat-icon>

</button>
  </div>
</div>

  <div class="mat-elevation-z8">
    <table mat-table [dataSource]="dataSource" matSort>
  
      <!-- ID Column -->
      <ng-container matColumnDef="id">
        <th mat-header-cell *matHeaderCellDef mat-sort-header> ID </th>
        <td mat-cell *matCellDef="let row"> {{row.id}} </td>
      </ng-container>
  
      <!-- Name Column -->
      <ng-container matColumnDef="name">
        <th mat-header-cell *matHeaderCellDef mat-sort-header> Name </th>
        <td mat-cell *matCellDef="let row"> {{row.name}} </td>
      </ng-container>
  
      <!-- LastName Column -->
      <ng-container matColumnDef="LastName">
        <th mat-header-cell *matHeaderCellDef mat-sort-header> Last Name </th>
        <td mat-cell *matCellDef="let row"> {{row.lastname}} </td>
      </ng-container>
  
      <!--Address Column -->
      <ng-container matColumnDef="Address">
        <th mat-header-cell *matHeaderCellDef mat-sort-header> Address </th>
        <td mat-cell *matCellDef="let row" [style.color]="row.color"> {{row.address}} </td>
      </ng-container>
       <!-- Email Column -->
       <ng-container matColumnDef="Email">
        <th mat-header-cell *matHeaderCellDef mat-sort-header> Email </th>
        <td mat-cell *matCellDef="let row"> {{row.email}} </td>
      </ng-container>
  
      <!-- Expertise Column -->
      <ng-container matColumnDef="Expertise">
        <th mat-header-cell *matHeaderCellDef mat-sort-header> Expertise </th>
        <td mat-cell *matCellDef="let row" [style.color]="row.color"> {{row.expertise}} </td>
      </ng-container>
      <!--Actions Column-->
      <ng-container matColumnDef="actions">
        <th *matHeaderCellDef mat-header-cell mat-sort-header></th>
        <td *matCellDef="let row" class="w-10 text-secondary" >
            <button (click)="$event.stopPropagation()"
            [matMenuTriggerData]="{ formateur: row }"
            [matMenuTriggerFor]="actionsMenu"
            mat-icon-button
            type="button">
            <mat-icon>more_horiz</mat-icon>
          </button>
        </td>
      </ng-container>
      <tr mat-header-row *matHeaderRowDef="displayedColumns"></tr>
      <tr mat-row *matRowDef="let row; columns: displayedColumns;"></tr>
      
     
      <!-- Row shown when there is no matching data. -->
      <tr class="mat-row" *matNoDataRow>
        <td class="mat-cell" colspan="4">No data matching the filter "{{input.value}}"</td>
      </tr>
    </table>
  
    <mat-paginator [pageSizeOptions]="[5, 10, 25, 100]"></mat-paginator>
  </div>
  <!---Create actions of delete and update -->
  <mat-menu #actionsMenu="matMenu" xPosition="before" yPosition="below">
    <ng-template let-formateur="formateur" matMenuContent>
      <button (click)="updateFormateur(formateur)" mat-menu-item>
        <mat-icon >edit</mat-icon>
        <span>Modify</span>
      </button>
      <button  (click)="deleteFormateur(formateur)" mat-menu-item>
        <mat-icon >delete</mat-icon>
        <span>Delete</span>
      </button>
    </ng-template>
  </mat-menu>
</div>